lucy-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Peter Karman <pe...@peknet.com>
Subject [lucy-dev] update_version and XSLoader
Date Mon, 23 May 2011 16:56:34 GMT
Patch below fixes problem with XSLoader under Perl 5.8.9.

Before I commit, I wanted to verify that we hadn't been skipping this
particular version string on purpose.

?



Index: devel/bin/update_version
===================================================================
--- devel/bin/update_version    (revision 1126554)
+++ devel/bin/update_version    (working copy)
@@ -49,6 +49,8 @@
 $buf = read_file('perl/lib/Lucy.pm');
 $buf =~ s/(our \$VERSION\ +=\ +)'.+?'/$1'$x_yyyzzz_version'/
     or die "no match";
+$buf =~ s/XSLoader::load\( 'Lucy', '(.+?)'/XSLoader::load\( 'Lucy',
'$x_yyyzzz_version'/
+    or die "no match";
 write_file( 'perl/lib/Lucy.pm', $buf );
 $buf = read_file('perl/lib/Lucy.pod');
 $buf =~ s/(^=head1\s+VERSION\s+)([\d.]+)/$1$x_y_z_version/m
Index: perl/lib/Lucy.pm
===================================================================
--- perl/lib/Lucy.pm    (revision 1126554)
+++ perl/lib/Lucy.pm    (working copy)
@@ -26,7 +26,7 @@

 use XSLoader;
 # This loads a large number of disparate subs.
-BEGIN { XSLoader::load( 'Lucy', '0.001' ) }
+BEGIN { XSLoader::load( 'Lucy', '0.001000' ) }

 BEGIN {
     push our @ISA, 'Exporter';

-- 
Peter Karman  .  http://peknet.com/  .  peter@peknet.com

Mime
View raw message